Subject: Re: Attention libtool maintainer: Re: `make install' of glib fails
From: Franz Haeuslschmid <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 26 May 2005 13:23:36 +0200

"Gerrit P. Haase" <[email-masked]> writes:

> Franz Haeuslschmid wrote:
>
>> After having managed to actually make the latest version of glib,
>> `make install' fails and spits out an error message that I don't
>> understand (excuse the mass of lines):

[... Output of make showing messages of undefined references ...]

>> Once again: any ideas?
>
>
> -> -L/usr/lib -L/usr/local/lib -lglib-2.0

I suppose you meant that I should place this into environment
variable `LDFLAGS'. Did that, ran `./configure' once again and
continued with `make'. Now it is `make' that fails again (in
directory gobject):

make  all-am
make[1]: Entering directory `/cygdrive/d/Src/glib-2.6.4/gobject'
/bin/bash ../libtool --mode=link --tag=CC gcc  -g -O2 -Wall  -L/usr/lib -L/usr/local/lib -lglib-2.0 -o libgobject-2.0.la -rpath /usr/local/lib -version-info 600:4:600 -export-dynamic -no-undefined -export-symbols-regex "^[^_].*" gboxed.lo gclosure.lo genums.lo gobject.lo gparam.lo gparamspecs.lo gsignal.lo gsourceclosure.lo gtype.lo gtypemodule.lo gtypeplugin.lo gvalue.lo gvaluearray.lo gvaluetransform.lo gvaluetypes.lo  ../glib/libglib-2.0.la -lintl  
rm -fr  .libs/libgobject-2.0.dll.a .libs/libgobject-2.0.exp
generating symbol list for `libgobject-2.0.la'
/usr/bin/nm -B  .libs/gboxed.o .libs/gclosure.o .libs/genums.o .libs/gobject.o .libs/gparam.o .libs/gparamspecs.o .libs/gsignal.o .libs/gsourceclosure.o .libs/gtype.o .libs/gtypemodule.o .libs/gtypeplugin.o .libs/gvalue.o .libs/gvaluearray.o .libs/gvaluetransform.o .libs/gvaluetypes.o  | sed -n -e 's/^.*[ 	]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ 	][ 	]*\(_\)\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2\3 \3/p' | /usr/bin/sed -e '/^[BCDGRS] /s/.* \([^ ]*\)/\1 DATA/' | /usr/bin/sed -e '/^[AITW] /s/.* //' | sort | uniq > .libs/libgobject-2.0.exp
grep -E -e "^[^_].*" ".libs/libgobject-2.0.exp" > ".libs/libgobject-2.0.expT"
mv -f ".libs/libgobject-2.0.expT" ".libs/libgobject-2.0.exp"
if test "x`/usr/bin/sed 1q .libs/libgobject-2.0.exp`" = xEXPORTS; then cp .libs/libgobject-2.0.exp .libs/cyggobject-2.0-0.dll.def; else echo EXPORTS > .libs/cyggobject-2.0-0.dll.def; cat .libs/libgobject-2.0.exp >> .libs/cyggobject-2.0-0.dll.def; fi
 gcc -shared .libs/cyggobject-2.0-0.dll.def  .libs/gboxed.o .libs/gclosure.o .libs/genums.o .libs/gobject.o .libs/gparam.o .libs/gparamspecs.o .libs/gsignal.o .libs/gsourceclosure.o .libs/gtype.o .libs/gtypemodule.o .libs/gtypeplugin.o .libs/gvalue.o .libs/gvaluearray.o .libs/gvaluetransform.o .libs/gvaluetypes.o  -L/usr/lib -L/usr/local/lib /usr/lib/libglib-2.0.dll.a ../glib/.libs/libglib-2.0.dll.a /usr/lib/libintl.dll.a  -o .libs/cyggobject-2.0-0.dll -Wl,--image-base=0x10000000 -Wl,--out-implib,.libs/libgobject-2.0.dll.a
Creating library file: .libs/libgobject-2.0.dll.a
collect2: ld returned 1 exit status
make[1]: *** [libgobject-2.0.la] Error 1
make[1]: Leaving directory `/cygdrive/d/Src/glib-2.6.4/gobject'
make: *** [all] Error 2

This is the chain of commands that were executed:

  $ tar xvjf glib-2.6.4.tar.bz2
  $ cd glib-2.6.4
  $ export LDFLAGS="-L/usr/lib -L/usr/local/lib -lglib-2.0"
  $ autoreconf --install --force --verbose
  $ ./configure
  $ make

> You're linking against the old glib2 library, another libtool bug.
> I thought that this was fixed in the latest release?  Again, which 
> version of libtool are you using now?  Is it the one from the Cygwin
> mirrors or do you have compiled your own version?  Charles, wasn't
> that included in the 1.5 release branch?
>
> BTW, 1.5.18 is out: http://www.gnu.org/software/libtool/libtool.html

I downloaded and built that version. `libtool --version' now
gives

  haeuslsc@pan ~/Src/glib-2.6.4
  $ libtool --version
  ltmain.sh (GNU libtool) 1.5.18 (1.1220.2.245 2005/05/16 08:55:27)

However, `autoreconf' still picks up the version that is
configured by the cygwin installer:

  haeuslsc@pan ~/Src/glib-2.6.4
  $ ./libtool --version
  ltmain.sh (GNU libtool) 1.5.10 (1.1220.2.131 2004/09/19  12:46:56)

When I remove the libtool package using cygwin's `setup.exe', I
can't use autoreconf:

haeuslsc@pan ~/Src/glib-2.6.4
$ autoreconf --install --force --verbose
autoreconf: Entering directory `.'
autoreconf: configure.in: not using Gettext
autoreconf: running: aclocal --force 
/usr/share/aclocal/freetype2.m4:7: warning: underquoted definition of AC_CHECK_FT2
  run info '(automake)Extending aclocal'
  or see http://sources.redhat.com/automake/automake.html#Extending-aclocal
/usr/share/aclocal/cppunit.m4:4: warning: underquoted definition of AM_PATH_CPPUNIT
aclocal:configure.in:456: warning: macro `AM_DISABLE_STATIC' not found in library
aclocal:configure.in:458: warning: macro `AM_PROG_LIBTOOL' not found in library
autoreconf: configure.in: tracing
configure.in:10: warning: file `acglib.m4' included several times
configure.in:11: warning: file `glib/libcharset/codeset.m4' included several times
configure.in:12: warning: file `glib/libcharset/glibc21.m4' included several times
autoreconf: configure.in: not using Libtool
autoreconf: running: /usr/autotool/devel/bin/autoconf --force
configure.in:10: warning: file `acglib.m4' included several times
configure.in:11: warning: file `glib/libcharset/codeset.m4' included several times
configure.in:12: warning: file `glib/libcharset/glibc21.m4' included several times
configure.in:456: error: possibly undefined macro: AM_DISABLE_STATIC
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.in:457: error: possibly undefined macro: AC_LIBTOOL_WIN32_DLL
configure.in:458: error: possibly undefined macro: AM_PROG_LIBTOOL
autoreconf: /usr/autotool/devel/bin/autoconf failed with exit status: 1

I'm still perplexed.

Franz.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/